#include "esphome.h"
#include "sunset.h"


class MySunTextSensor : public PollingComponent, public TextSensor {
public:
  class SunSet *sun;

  // constructor
  MySunTextSensor() : PollingComponent(15000) {
    sun = new SunSet();  }

  // float get_setup_priority() const override { return esphome::setup_priority::XXXX; }

  void setup() override {
    // This will be called by App.setup()
  }
  void update() override {
    // This will be called every "update_interval" milliseconds.
  }


};
